#include "Max7219Lib.h"





/*
Author: Nart Schinackow

Comiler Used : MikroC

Description :
Pic16f877a running at 10MHZ
this code is a simple demo of a counter from 0-15, the library displays the count
on a 4 digit 7-segment.
if you want to change the number of segments to be displayed,
consult the data sheet for the scan limit register.
change the value of the scan limit register.

Notes:
This Is MAX7219 Hardware VERSION SPI
*/



sfr sbit MAX7219_CS_LOAD at RC0_bit;
sfr sbit MAX7219_CS_LOAD_DIRECTION at TRISC0_bit;

unsigned long i;




void main()
{
  Display.Init(0x0f,0x0f,0x03,0x01);// Initialize Max7219
  Display.Print(0,4);// Put Initial Value To Display for 4 seven segemnts

  Display.ChangeIntensity(1);//low brightness for one second
  delay_ms(1000);
  Display.ChangeIntensity(15);//high brightness for one second
  delay_ms(1000);

  for(i=0;i<10;i++)// Blink Display 10 Times
  {
    Display.TurnOff();
    delay_ms(100);
    Display.TurnOn();
    delay_ms(100);
  }

  while(1)// loop forever
  {
    for(i=0;i<512;i++)//Count From 0 To 511 And Display on 4 Seven segemnts
    {
      Display.Print(i,4);
      delay_ms(100);
    }
  }

}