#line 1 "C:/Documents and Settings/Nart Schinackow/Desktop/80_max7219_for_7_segments_control_wrapped_library_v1.0.0.0/Max7219 Test/MyProject.c"
#line 1 "c:/documents and settings/nart schinackow/desktop/80_max7219_for_7_segments_control_wrapped_library_v1.0.0.0/max7219 test/max7219lib.h"
extern sfr sbit MAX7219_CS_LOAD;
extern sfr sbit MAX7219_CS_LOAD_DIRECTION;

void Max7219Init(char CodeB, char Intensity, char ScanLimit, char ShutDown);
void Max7219Print(unsigned long Number, unsigned short NumberOfDigits);
void Max7219DisplayOff();
void Max7219DisplayOn();
void Max7219UpdateIntensity(char OnValue);


struct Max7219Struct
{
 void (*Init)(char CodeB, char Intensity, char ScanLimit, char ShutDown);
 void (*Print)(unsigned long Number, unsigned short NumberOfDigits);
 void (*TurnOff)();
 void (*TurnOn)();
 void (*ChangeIntensity)(char OnValue);
}Display={&Max7219Init,&Max7219Print,&Max7219DisplayOff,&Max7219DisplayOn,&Max7219UpdateIntensity};
#line 1 "c:/documents and settings/nart schinackow/desktop/80_max7219_for_7_segments_control_wrapped_library_v1.0.0.0/max7219 test/max7219lib.c"
void Max7219Init(char CodeB, char Intensity, char ScanLimit, char ShutDown)
{
 MAX7219_CS_LOAD=1;
 MAX7219_CS_LOAD_DIRECTION=0;
 SPI1_Init();

 MAX7219_CS_LOAD=0;
 SPI1_Write(0x09);
 SPI1_Write(CodeB);
 MAX7219_CS_LOAD=1;

 MAX7219_CS_LOAD=0;
 SPI1_Write(0x0a);
 SPI1_Write(Intensity);
 MAX7219_CS_LOAD=1;

 MAX7219_CS_LOAD=0;
 SPI1_Write(0x0b);
 SPI1_Write(ScanLimit);
 MAX7219_CS_LOAD=1;

 MAX7219_CS_LOAD=0;
 SPI1_Write(0x0c);
 SPI1_Write(ShutDown);
 MAX7219_CS_LOAD=1;

 MAX7219_CS_LOAD=0;
 SPI1_Write(0x00);
 SPI1_Write(0xff);
 MAX7219_CS_LOAD=1;
}

void Max7219Print(unsigned long Number, unsigned short NumberOfDigits)
{
 short i;
 for(i=1;Number>0||i-NumberOfDigits<=0;Number/=10,i++)
 {
 MAX7219_CS_LOAD=0;
 SPI1_write(i);
 SPI1_write(Number%10);
 MAX7219_CS_LOAD=1;
 }
}


void Max7219DisplayOff()
{
 MAX7219_CS_LOAD=0;
 SPI1_write(0x0c);
 SPI1_write(0x00);
 MAX7219_CS_LOAD=1;
}

void Max7219DisplayOn()
{
 MAX7219_CS_LOAD=0;
 SPI1_write(0x0c);
 SPI1_write(0x01);
 MAX7219_CS_LOAD=1;
}

void Max7219UpdateIntensity(char OnValue)
{
 if(OnValue>=0&&OnValue<=15)
 {
 MAX7219_CS_LOAD=0;
 SPI1_write(0x0a);
 SPI1_write(OnValue);
 MAX7219_CS_LOAD=1;
 }
}
#line 26 "C:/Documents and Settings/Nart Schinackow/Desktop/80_max7219_for_7_segments_control_wrapped_library_v1.0.0.0/Max7219 Test/MyProject.c"
sfr sbit MAX7219_CS_LOAD at RC0_bit;
sfr sbit MAX7219_CS_LOAD_DIRECTION at TRISC0_bit;

unsigned long i;




void main()
{
 Display.Init(0x0f,0x0f,0x03,0x01);
 Display.Print(0,4);

 Display.ChangeIntensity(1);
 delay_ms(1000);
 Display.ChangeIntensity(15);
 delay_ms(1000);

 for(i=0;i<10;i++)
 {
 Display.TurnOff();
 delay_ms(100);
 Display.TurnOn();
 delay_ms(100);
 }

 while(1)
 {
 for(i=0;i<512;i++)
 {
 Display.Print(i,4);
 delay_ms(100);
 }
 }

}
